| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # DOMDocumentRange Class Reference Inheritance diagram for DOMDocumentRange: [legend] List of all members.
## Public Member Functions
Destructor
virtual | ~DOMDocumentRange ()
| Destructor.
Functions introduced in DOM Level 2
virtual DOMRange * | createRange ()=0
| To create the range consisting of boundary-points and offset of the selected contents.
## Protected Member Functions
Hidden constructors
| DOMDocumentRange ()
## Detailed Description See also the Document Object Model (DOM) Level 2 Traversal and Range Specification. Since: DOM Level 2 ## Constructor & Destructor Documentation
DOMDocumentRange::DOMDocumentRange | ( |  | ) | `[protected]`
virtual DOMDocumentRange::~DOMDocumentRange | ( |  | ) | `[virtual]`
Destructor. ## Member Function Documentation
virtual DOMRange* DOMDocumentRange::createRange | ( |  | ) | `[pure virtual]`
To create the range consisting of boundary-points and offset of the selected contents. Returns: The initial state of the Range such that both the boundary-points are positioned at the beginning of the corresponding DOMDOcument, before any content. The range returned can only be used to select content associated with this document, or with documentFragments and Attrs for which this document is the ownerdocument Since: DOM Level 2 The documentation for this class was generated from the following file: DOMDocumentRange.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.